Package org.springframework.test.web.client

# Interface RequestExpectation

All Superinterfaces:
  `RequestMatcher`, `ResponseActions`, `ResponseCreator`

All Known Implementing Classes:
  `DefaultRequestExpectation`

public interface RequestExpectation extends ResponseActions, RequestMatcher, ResponseCreator
An extension of `ResponseActions` that also implements `RequestMatcher` and `ResponseCreator`

While `ResponseActions` is the API for defining expectations this sub-interface is the internal SPI for matching these expectations to actual requests and for creating responses.

Since:
  4.3
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasRemainingCount()`
Whether there is a remaining count of invocations for this expectation.
`void`
`incrementAndValidate()`
Increase the matched request count and check we haven't passed the max count.
`boolean`
`isSatisfied()`
Whether the requirements for this request expectation have been met.

### Methods inherited from interface org.springframework.test.web.client.RequestMatcher

`match`

### Methods inherited from interface org.springframework.test.web.client.ResponseActions

`andExpect, andRespond`

### Methods inherited from interface org.springframework.test.web.client.ResponseCreator

`createResponse`

## Method Details

### hasRemainingCount

boolean hasRemainingCount()
Whether there is a remaining count of invocations for this expectation.

### incrementAndValidate

void incrementAndValidate()
Increase the matched request count and check we haven't passed the max count.

Since:
  5.0.3

### isSatisfied

boolean isSatisfied()
Whether the requirements for this request expectation have been met.